Katalog
A model version
GET
Any member.
apiKeyheader
AutorisierungBearer <Token>Organisation API key sent as Authorization: Bearer bp_live_… (ADR-017). Accepted only by the
operations that list this scheme, with the scope in their x-api-key-scope.
versionId*stringFormat
uuidThe version.
application/json- response
approved_at?stringFormat
date-timeapproved_by_name?stringbattery_model_id*stringFormat
uuidcreated_at*stringFormat
date-timeeffective_from*stringFormat
dateid*stringFormat
uuidregistry_version?stringRegistry version of the last evaluation after a change.
row_version*RowVersionOptimistic-concurrency version; send it back as If-Match when updating.
Format
int64Bereich
1 <= valuestatus*ModelVersionStatusWert in
"draft""approved""superseded"unit_count*integerupdated_at*stringFormat
date-timeversion_label*stringBeispielanfrage
curl -X GET 'https://example.com/api/v1/model-versions/497f6eca-6276-4993-bfeb-53cbbbba6f08'Beispielantwort
{ "approved_at": "2019-08-24T14:15:22Z", "approved_by_name": "string", "battery_model_id": "6a002912-62a3-4058-99d0-53cbf87e9e1c", "created_at": "2019-08-24T14:15:22Z", "effective_from": "2019-08-24", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "registry_version": "string", "row_version": 1, "status": "draft", "unit_count": 0, "updated_at": "2019-08-24T14:15:22Z", "version_label": "string"}